Subject: Re: [RFC PATCH] net: sched: fix unsued cpu variable

From: John Fastabend <[email-masked]>
Date: Sat, 13 Sep 2014 11:25:15 -0700

On 09/13/2014 11:13 AM, John Fastabend wrote:
> kbuild test robot reported an unused variable cpu in cls_u32.c
> after the patch below. This happens when PERF and MARK config
> variables are disabled
> 
> commit 459d5f626da75573e985a7197b0919c3b143146c
> Author: John Fastabend <[email-masked]>
> Date:   Fri Sep 12 20:08:47 2014 -0700
> 
>     net: sched: make cls_u32 per cpu
> 
> One way to fix this is to use separate variables for perf
> and mark and define the cpu variable inside the ifdef
> logic.
> 
> I don't really like this though so I'm wondering if I can
> clean up the ifdef/endif logic to make this easier to read.
> So RFC patch until I convince myself there isn't a better
> way. Thought it might be worth sending out in case someone
> else has an idea.
> 
> Signed-off-by: John Fastabend <[email-masked]>

kbuild robot kicked me another warning I missed I'll send out
a couple patches tonight or tomorrow morning to resolve them.

Thanks,
John